Is there a supported version of UI for Blazor for the released version of .Net Core? eg. 3.0 ?

3 posts, 0 answers
  1. BitShift
    BitShift avatar
    136 posts
    Member since:
    Aug 2014

    Posted 30 Oct 2019 Link to this post

    If one wanted to use .net core 3.0 is there a version of UI for Blazor one could use?

     

  2. BitShift
    BitShift avatar
    136 posts
    Member since:
    Aug 2014

    Posted 30 Oct 2019 Link to this post

    Even if just for server-side projects?
  3. Marin Bratanov
    Admin
    Marin Bratanov avatar
    5017 posts

    Posted 31 Oct 2019 Link to this post

    Hi,

    At the moment, we support only the latest SDK (.NET Core 3.1. Preview 1 at the time of writing). Supporting older versions will require keeping two entirely separate codebases while working on features and fixes in both, and this is not feasible. Such disparity would only get worse the more versions are available.

    The way the framework evolves will determine what will be possible and supported in the future. Hopefully after the WASM flavor becomes official it will be possible to slow down and work on compatibility with RTM releases only. At the moment, this is not possible. Our next release will have an article in the documentation that will list the supported framework versions so you can use it as a reference.

    Regards,
    Marin Bratanov
    Progress Telerik

     UI for Blazor
Back to Top